Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005460TestLinkReportspublic2013-01-09 02:182013-05-30 19:40
Reportermtavares74 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLAMPOSLinux -RHELOS Version6
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005460: CF_EXEC_TIME - Execution time does not show in reports for test suite.
DescriptionCF_EXEC_TIME - Execution time only showing up for Test Plan level, not test suite.

This is with the Test Case Custom Fields and Metrics boxes checked in the "Test Report"
Steps To ReproducePre-steps:
I have a project with: CF_EXEC_TIME and CF_ESTIMATED_EXEC_TIME enabled on Test Execution and set to display on Test Execution. The Type is a float and it is available for Test Case.

My Test Plan has two suites, each containing four test cases.
There are no platforms and only 1 build is specified.

In Test Suite1 the Estimated Execution Time was set to 2 minutes for each test case
The Test Cases in suite 1 were executed and passed and the actual test time was put in as 3 minutes.

Estimated Execution Time (minutes): 2
Actual Execution Time (minutes): 3

For Test Suite2 the estimated Execution Time was set to 1:
The Test Cases in suite 2 were executed and passed and the actual test time was put in as 2 minutes.

Estimated Execution Time (minutes): 1
Actual Execution Time (minutes): 2

I correctly select my Test Plan “Test Plan 5” and Select "Test Report".

I select Test Case Custom Fields and Metrics and click on the upper level folder “Test Report 5”
Results: Estimated time for executing test cases (min): 12
Actual Execution Time is (min) 20

I select Test Case Custom Fields and Metrics and click the first suite “suite 1”
Results: Estimated time for executing 4 test cases (min):8
Actual Execution Time is not Listed.

I select Test Case Custom Fields and Metrics and click the second suite “suite 2”
Results: Estimated time for executing 4 test cases (min):4
Actual Execution Time is not Listed.

 
P
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MYSql
BrowserChrome, Firefox and IE
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005406closedfman Availables hot-fixes for 1.9.5 & How To get full fixed package from gitorious 

-  Notes
(0018142)
fman (administrator)
2013-01-10 18:50

http://gitorious.org/testlink-ga/testlink-code/commit/03add3a3447afdfe0453a830e12ca7ff4babcd9d [^]

- Issue History
Date Modified Username Field Change
2013-01-09 02:18 mtavares74 New Issue
2013-01-09 11:32 fman Summary CF_EXEC_TIME - Execution time dies not show in reports for test suite. => CF_EXEC_TIME - Execution time does not show in reports for test suite.
2013-01-09 22:14 fman Assigned To => fman
2013-01-09 22:14 fman Status new => assigned
2013-01-10 18:50 fman Task Workflow Status TBD => READY FOR TESTING
2013-01-10 18:50 fman Note Added: 0018142
2013-01-10 18:50 fman Status assigned => resolved
2013-01-10 18:50 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-01-10 18:50 fman Resolution open => fixed
2013-01-10 18:51 fman Tag Attached: TO BE FIXED on 2.0
2013-01-10 18:51 fman Relationship added child of 0005406
2013-05-30 19:40 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker